{
  "name": "@tasks/source",
  "version": "0.0.0",
  "license": "MIT",
  "scripts": {
    "serve-fe": "nx serve tasks-fe",
    "serve-be": "nx serve tasks-be",
    "typeorm": "typeorm-ts-node-commonjs"
  },
  "private": true,
  "dependencies": {
    "@automapper/classes": "^8.7.7",
    "@automapper/core": "^8.7.7",
    "@automapper/nestjs": "^8.7.7",
    "@hookform/resolvers": "^3.3.4",
    "@nestjs/common": "^10.0.2",
    "@nestjs/config": "^3.1.1",
    "@nestjs/core": "^10.0.2",
    "@nestjs/platform-express": "^10.0.2",
    "@nestjs/swagger": "^7.1.17",
    "@nestjs/typeorm": "^10.0.1",
    "axios": "^1.0.0",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.14.1",
    "next": "13.4.4",
    "pg": "^8.11.3",
    "primeicons": "^6.0.1",
    "primereact": "^10.3.1",
    "rapiq": "^0.9.0",
    "react": "18.2.0",
    "react-dom": "18.2.0",
    "react-hook-form": "^7.49.3",
    "react-query": "^3.39.3",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.8.0",
    "tailwind-merge": "^2.2.0",
    "tsee": "^1.3.4",
    "tslib": "^2.3.0",
    "typeorm": "^0.3.19",
    "typeorm-extension": "^3.3.0",
    "yup": "^1.3.3"
  },
  "devDependencies": {
    "@nestjs/schematics": "^10.0.1",
    "@nestjs/testing": "^10.0.2",
    "@nx/eslint": "17.2.8",
    "@nx/eslint-plugin": "17.2.8",
    "@nx/jest": "17.2.8",
    "@nx/js": "17.2.8",
    "@nx/nest": "^17.2.8",
    "@nx/next": "^17.2.8",
    "@nx/node": "17.2.8",
    "@nx/react": "17.2.8",
    "@nx/webpack": "17.2.8",
    "@nx/workspace": "17.2.8",
    "@pmmmwh/react-refresh-webpack-plugin": "^0.5.7",
    "@svgr/webpack": "^8.0.1",
    "@swc-node/register": "~1.6.7",
    "@swc/core": "~1.3.85",
    "@testing-library/react": "14.0.0",
    "@types/jest": "^29.4.0",
    "@types/node": "18.16.9",
    "@types/react": "18.2.33",
    "@types/react-dom": "18.2.14",
    "@typescript-eslint/eslint-plugin": "^6.9.1",
    "@typescript-eslint/parser": "^6.9.1",
    "autoprefixer": "10.4.13",
    "babel-jest": "^29.4.1",
    "eslint": "~8.48.0",
    "eslint-config-next": "13.4.4",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-import": "2.27.5",
    "eslint-plugin-jsx-a11y": "6.7.1",
    "eslint-plugin-react": "7.32.2",
    "eslint-plugin-react-hooks": "4.6.0",
    "jest": "^29.4.1",
    "jest-environment-jsdom": "^29.4.1",
    "jest-environment-node": "^29.4.1",
    "nx": "17.2.8",
    "postcss": "8.4.21",
    "prettier": "^2.6.2",
    "react-refresh": "^0.10.0",
    "tailwindcss": "3.2.7",
    "ts-jest": "^29.1.0",
    "ts-node": "10.9.1",
    "typescript": "~5.2.2",
    "url-loader": "^4.1.1"
  }
}
